#ifndef _AUDIOPLAYER_CLASS_LOADED
#define _AUDIOPLAYER_CLASS_LOADED 1


#include "saveblock.h"

class AudioPlayer
{
public:

   AudioPlayer(const char * cp_DeviceName);
   ~AudioPlayer();
   
   int SetDevice(const char * cp_DeviceName);
   
   bool SetSpeed(int speed= 44100);


   int PlayAudio(unsigned char *puc_Buffer, int i_BufferLength);
   
   private:
      bool SyncAudio();

      int m_i_AudioHandle;
      int i_AudioFormatMask;
      
      int i_Error;
      
      SaveBlockArray *pc_SaveBlockArray;

   char m_ca_DeviceName[100];
      
} ;  // AudioPlayer

#endif






